---
hide:
  - footer
  - toc
---

# API Reference

<!-- prettier-ignore -->
::: botstrap
    options:
      members: false

The pages in this section contain detailed documentation, examples, and explanations for
each of the classes that you're likely to encounter and/or use while integrating with
Botstrap. If you're looking for a deep dive into all of the available options, then
you're in the right place.

<div class="clickable grid" style="margin-bottom: 0.4rem" markdown>
<div class="card" markdown>
### ![](../images/logo-48.png){.twemoji} [`Botstrap`](botstrap)
---
The primary point of integration between a Discord bot and the Botstrap library.
&nbsp;Start here!
</div>
</div>

<div class="clickable grid" style="margin-top: 0.4rem" markdown>
<div class="card" markdown>
### :art: [`CliColors`](cli-colors)
---
A model for the colors used by the Botstrap-provided CLI.
</div>
<div class="card" markdown>
### :speech_balloon: [`CliStrings`](cli-strings)
---
A model for the strings used by the Botstrap-provided CLI.
</div>
<div class="card" markdown>
### :rainbow: [`Color`](color)
---
A collection of functions that add color to console-printed strings.
</div>
<div class="card" markdown>
### :tools: [`Option`](option)
---
A model for a custom option to add to the Botstrap-provided CLI.
</div>
</div>
